curl --request GET \
--url https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"phoneProvider": "twilio",
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"phoneNumberId": "5eb7cf5a86d9755df3a6c593",
"assistantNumber": "<string>",
"userNumber": "<string>",
"direction": "inbound",
"messageContent": "<string>",
"status": "pending",
"errorCode": "validation_error",
"errorMessage": "<string>",
"response": {
"success": true,
"statusCode": 123,
"body": {}
},
"meta": {
"assistantId": "5eb7cf5a86d9755df3a6c593",
"conversationId": "<string>",
"workflowId": "5eb7cf5a86d9755df3a6c593",
"campaignId": "5eb7cf5a86d9755df3a6c593"
},
"cost": {
"totalAmount": 0
},
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Get SMS log by ID
Fetch a single SMS log by ID for the team, with messageContent decrypted.
curl --request GET \
--url https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-qa.interactly.ai/sms/v1/sms/logs/{sms_log_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"phoneProvider": "twilio",
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"phoneNumberId": "5eb7cf5a86d9755df3a6c593",
"assistantNumber": "<string>",
"userNumber": "<string>",
"direction": "inbound",
"messageContent": "<string>",
"status": "pending",
"errorCode": "validation_error",
"errorMessage": "<string>",
"response": {
"success": true,
"statusCode": 123,
"body": {}
},
"meta": {
"assistantId": "5eb7cf5a86d9755df3a6c593",
"conversationId": "<string>",
"workflowId": "5eb7cf5a86d9755df3a6c593",
"campaignId": "5eb7cf5a86d9755df3a6c593"
},
"cost": {
"totalAmount": 0
},
"notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Response
Successful Response
SMS provider (twilio/vonage)
twilio, telnyx, vonage ID of the team that owns this record
"5eb7cf5a86d9755df3a6c593"
ID of the user who created this record
"5eb7cf5a86d9755df3a6c593"
ID of the user who last updated this record
"5eb7cf5a86d9755df3a6c593"
MongoDB document ObjectID
"5eb7cf5a86d9755df3a6c593"
Phone number config ID
"5eb7cf5a86d9755df3a6c593"
Assistant's phone number
User's phone number
inbound or outbound
inbound, outbound Encrypted message text
Delivery status
pending, received, delivered, failed Structured error code if failed
validation_error, phone_number_not_found, credentials_error, credentials_not_found, send_failed, rate_limit_error, upstream_error, encryption_error, server_error, phone_provider_not_supported Human-readable error message
Raw provider response
Show child attributes
Show child attributes
Associated IDs metadata
Show child attributes
Show child attributes
Cost breakdown
Show child attributes
Show child attributes
Additional notes or context